cURL
curl -X DELETE https://api.neuraldraft.io/v1/bookable-services/12 \
-H "Authorization: Bearer ndsk_live_yourkey"await nd.bookableServices.delete(12);
requests.delete("https://api.neuraldraft.io/v1/bookable-services/12",
headers={"Authorization": f"Bearer {key}"})
<?php
$client->delete('bookable-services/12', ['headers' => ['Authorization' => 'Bearer '.$key]]);
{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Booking
Delete a bookable service
DELETE
/
bookable-services
/
{id}
cURL
curl -X DELETE https://api.neuraldraft.io/v1/bookable-services/12 \
-H "Authorization: Bearer ndsk_live_yourkey"await nd.bookableServices.delete(12);
requests.delete("https://api.neuraldraft.io/v1/bookable-services/12",
headers={"Authorization": f"Bearer {key}"})
<?php
$client->delete('bookable-services/12', ['headers' => ['Authorization' => 'Bearer '.$key]]);
{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Authorizations
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
Path Parameters
Example:
12
Response
Deleted.